Server Actions
points_de_retrait
6 Server Actions du domaine points_de_retrait, générées depuis le registre de l’API agent.
points_de_retrait__addBay
| Argument | Type | Requis |
|---|---|---|
locationId | string | oui |
rawLabel | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "points_de_retrait__addBay",
"args": [
"<locationId>",
"<rawLabel>"
]
}'points_de_retrait__removeBay
| Argument | Type | Requis |
|---|---|---|
locationId | string | oui |
bayId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "points_de_retrait__removeBay",
"args": [
"<locationId>",
"<bayId>"
]
}'points_de_retrait__resyncLocationCalendar
| Argument | Type | Requis |
|---|---|---|
locationId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "points_de_retrait__resyncLocationCalendar",
"args": [
"<locationId>"
]
}'points_de_retrait__saveVendorLocationHours
| Argument | Type | Requis |
|---|---|---|
locationId | string | oui |
input | HoursFormInput | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "points_de_retrait__saveVendorLocationHours",
"args": [
"<locationId>",
"<input>"
]
}'points_de_retrait__setProductBay
| Argument | Type | Requis |
|---|---|---|
productId | string | oui |
bayId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "points_de_retrait__setProductBay",
"args": [
"<productId>",
"<bayId>"
]
}'points_de_retrait__updateVendorLocationPayments
| Argument | Type | Requis |
|---|---|---|
locationId | string | oui |
input | { payments: string[]; transferRib?: TransferRibInput | null; chequeOrder?: string | null } | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "points_de_retrait__updateVendorLocationPayments",
"args": [
"<locationId>",
"<input>"
]
}'